import pendulum
from workspaces.json import WorkflowEventSchema
from workspaces.schema import WorkflowEvent, WorkflowEventType


def test_schema_dumpload():
    e = WorkflowEvent(
        workflow_request_id=0,
        job_name="foo",
        condor_job_id=1,
        event_type=WorkflowEventType.SUBMITTED,
        timestamp=str(pendulum.now()),
        log="nothing to speak of",
    )
    schema = WorkflowEventSchema()
    event_text = schema.dump(e)
    r = schema.load(event_text)
    assert e == r
